Index: LMDZ4/trunk/libf/phylmd/surf_landice_mod.F90
===================================================================
--- LMDZ4/trunk/libf/phylmd/surf_landice_mod.F90	(revision 993)
+++ LMDZ4/trunk/libf/phylmd/surf_landice_mod.F90	(revision 996)
@@ -5,5 +5,5 @@
   
   USE dimphy
-  USE surface_data,     ONLY : ocean, calice, calsno
+  USE surface_data,     ONLY : type_ocean, calice, calsno
   USE fonte_neige_mod,  ONLY : fonte_neige, run_off_lic
   USE cpl_mod,          ONLY : cpl_send_landice_fields
@@ -23,5 +23,5 @@
        snow, qsurf, qsol, agesno, &
        tsoil, z0_new, alb1, alb2, evap, fluxsens, fluxlat, &
-       tsurf_new, dflux_s, dflux_l, pctsrf_lic)
+       tsurf_new, dflux_s, dflux_l)
 
     INCLUDE "indicesol.h"
@@ -64,5 +64,4 @@
     REAL, DIMENSION(klon), INTENT(OUT)            :: tsurf_new
     REAL, DIMENSION(klon), INTENT(OUT)            :: dflux_s, dflux_l      
-    REAL, DIMENSION(klon), INTENT(OUT)            :: pctsrf_lic
 
 ! Local variables
@@ -153,12 +152,4 @@
     z0_new(:) = rugoro(:)
 
-
-!****************************************************************************************
-! Return the pourcentage for this sub-surface
-!
-!****************************************************************************************
-    pctsrf_lic(:) = pctsrf(:,is_lic)
-    
-
 !****************************************************************************************
 ! Send run-off on land-ice to coupler if coupled ocean.
@@ -166,5 +157,5 @@
 !
 !****************************************************************************************
-    IF (ocean=='couple') THEN
+    IF (type_ocean=='couple') THEN
        CALL cpl_send_landice_fields(itime, knon, knindex, run_off_lic)
     ENDIF
Index: LMDZ4/trunk/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- LMDZ4/trunk/libf/phylmd/surf_ocean_mod.F90	(revision 993)
+++ LMDZ4/trunk/libf/phylmd/surf_ocean_mod.F90	(revision 996)
@@ -5,5 +5,5 @@
 
   USE dimphy
-  USE surface_data, ONLY     : ocean
+  USE surface_data, ONLY     : type_ocean
   USE ocean_forced_mod, ONLY : ocean_forced_noice
   USE ocean_slab_mod, ONLY   : ocean_slab_noice
@@ -17,5 +17,5 @@
 !
   SUBROUTINE surf_ocean(rlon, rlat, swnet, lwnet, alb1, &
-       rugos, windsp, rmu0, fder, &
+       rugos, windsp, rmu0, fder, tsurf_in, &
        itime, dtime, jour, knon, knindex, &
        debut, &
@@ -25,5 +25,5 @@
        snow, qsurf, agesno, &
        z0_new, alb1_new, alb2_new, evap, fluxsens, fluxlat, &
-       tsurf_new, dflux_s, dflux_l, pctsrf_oce)
+       tsurf_new, dflux_s, dflux_l, lmt_bils)
 !
 ! This subroutine will make a call to ocean_XXX_noice according to the ocean mode (force, 
@@ -47,4 +47,5 @@
     REAL, DIMENSION(klon), INTENT(IN)        :: rmu0  
     REAL, DIMENSION(klon), INTENT(IN)        :: fder
+    REAL, DIMENSION(klon), INTENT(IN)        :: tsurf_in
     REAL, DIMENSION(klon), INTENT(IN)        :: p1lay
     REAL, DIMENSION(klon), INTENT(IN)        :: tq_cdrag
@@ -74,6 +75,5 @@
     REAL, DIMENSION(klon), INTENT(OUT)       :: tsurf_new
     REAL, DIMENSION(klon), INTENT(OUT)       :: dflux_s, dflux_l      
-    REAL, DIMENSION(klon), INTENT(OUT)       :: pctsrf_oce
-
+    REAL, DIMENSION(klon), INTENT(OUT)       :: lmt_bils
 
 ! Local variables
@@ -97,5 +97,5 @@
 ! Switch according to type of ocean (couple, slab or forced)
 !****************************************************************************************
-    SELECT CASE(ocean)
+    SELECT CASE(type_ocean)
     CASE('couple')
        CALL ocean_cpl_noice( &
@@ -106,18 +106,18 @@
             p1lay, tq_cdrag, precip_rain, precip_snow,temp_air,spechum,&
             petAcoef, peqAcoef, petBcoef, peqBcoef, &
-            ps, u1_lay, v1_lay, pctsrf, &
+            ps, u1_lay, v1_lay, &
             radsol, snow, agesno, &
             qsurf, evap, fluxsens, fluxlat, &
-            tsurf_new, dflux_s, dflux_l, pctsrf_oce)
+            tsurf_new, dflux_s, dflux_l)
 
     CASE('slab')
        CALL ocean_slab_noice( &
-            dtime, knon, knindex, &
+            itime, dtime, jour, knon, knindex, &
             p1lay, tq_cdrag, precip_rain, precip_snow, temp_air, spechum,&
             petAcoef, peqAcoef, petBcoef, peqBcoef, &
-            ps, u1_lay, v1_lay, &
+            ps, u1_lay, v1_lay, tsurf_in, &
             radsol, snow, agesno, &
             qsurf, evap, fluxsens, fluxlat, &
-            tsurf_new, dflux_s, dflux_l, pctsrf_oce)
+            tsurf_new, dflux_s, dflux_l, lmt_bils)
        
     CASE('force')
@@ -131,5 +131,5 @@
             radsol, snow, agesno, &
             qsurf, evap, fluxsens, fluxlat, &
-            tsurf_new, dflux_s, dflux_l, pctsrf_oce)
+            tsurf_new, dflux_s, dflux_l)
     END SELECT
 
Index: LMDZ4/trunk/libf/phylmd/surf_seaice_mod.F90
===================================================================
--- LMDZ4/trunk/libf/phylmd/surf_seaice_mod.F90	(revision 993)
+++ LMDZ4/trunk/libf/phylmd/surf_seaice_mod.F90	(revision 996)
@@ -5,6 +5,5 @@
 
   USE dimphy
-  USE surface_data, ONLY     : ocean
-  USE ocean_slab_mod, ONLY   : ocean_slab_ice
+  USE surface_data
   USE ocean_forced_mod, ONLY : ocean_forced_ice
   USE ocean_cpl_mod, ONLY    : ocean_cpl_ice
@@ -24,5 +23,5 @@
        snow, qsurf, qsol, agesno, tsoil, &
        z0_new, alb1_new, alb2_new, evap, fluxsens, fluxlat, &
-       tsurf_new, dflux_s, dflux_l, pctsrf_sic)
+       tsurf_new, dflux_s, dflux_l)
 !
 ! This subroutine will make a call to ocean_XXX_ice according to the ocean mode (force, 
@@ -70,5 +69,4 @@
     REAL, DIMENSION(klon), INTENT(OUT)       :: tsurf_new
     REAL, DIMENSION(klon), INTENT(OUT)       :: dflux_s, dflux_l      
-    REAL, DIMENSION(klon), INTENT(OUT)       :: pctsrf_sic
 
 ! Local arguments
@@ -91,39 +89,40 @@
 !
 !****************************************************************************************
-    SELECT CASE(ocean)
-    CASE('couple')
+    IF (type_ocean == 'couple') THEN
+       
        CALL ocean_cpl_ice( &
-          rlon, rlat, swnet, lwnet, alb1, & 
-          fder, & 
-          itime, dtime, knon, knindex, &
-          lafin,&
-          p1lay, tq_cdrag, precip_rain, precip_snow, temp_air, spechum,&
-          petAcoef, peqAcoef, petBcoef, peqBcoef, &
-          ps, u1_lay, v1_lay, pctsrf, &
-          radsol, snow, qsurf, &
-          alb1_new, alb2_new, evap, fluxsens, fluxlat, &
-          tsurf_new, dflux_s, dflux_l, pctsrf_sic)
+            rlon, rlat, swnet, lwnet, alb1, & 
+            fder, & 
+            itime, dtime, knon, knindex, &
+            lafin,&
+            p1lay, tq_cdrag, precip_rain, precip_snow, temp_air, spechum,&
+            petAcoef, peqAcoef, petBcoef, peqBcoef, &
+            ps, u1_lay, v1_lay, pctsrf, &
+            radsol, snow, qsurf, &
+            alb1_new, alb2_new, evap, fluxsens, fluxlat, &
+            tsurf_new, dflux_s, dflux_l)
+       
+    ELSE IF (type_ocean == 'force' .OR. (type_ocean == 'slab' .AND. version_ocean=='sicOBS')) THEN
+       CALL ocean_forced_ice(itime, dtime, jour, knon, knindex, &
+            debut, &
+            tsurf, p1lay, tq_cdrag, precip_rain, precip_snow, temp_air, spechum,&
+            petAcoef, peqAcoef, petBcoef, peqBcoef, &
+            ps, u1_lay, v1_lay, &
+            radsol, snow, qsol, agesno, tsoil, &
+            qsurf, alb1_new, alb2_new, evap, fluxsens, fluxlat, &
+            tsurf_new, dflux_s, dflux_l)
 
-    CASE('slab')
-       CALL ocean_slab_ice( & 
-          itime, dtime, jour, knon, knindex, &
-          debut, &
-          tsurf, p1lay, tq_cdrag, precip_rain, precip_snow, temp_air, spechum,&
-          petAcoef, peqAcoef, petBcoef, peqBcoef, &
-          ps, u1_lay, v1_lay, &
-          radsol, snow, qsurf, qsol, agesno, tsoil, &
-          alb1_new, alb2_new, evap, fluxsens, fluxlat, &
-          tsurf_new, dflux_s, dflux_l, pctsrf_sic)
-    
-    CASE('force')
-       CALL ocean_forced_ice(itime, dtime, jour, knon, knindex, &
-          debut, &
-          tsurf, p1lay, tq_cdrag, precip_rain, precip_snow, temp_air, spechum,&
-          petAcoef, peqAcoef, petBcoef, peqBcoef, &
-          ps, u1_lay, v1_lay, &
-          radsol, snow, qsol, agesno, tsoil, &
-          qsurf, alb1_new, alb2_new, evap, fluxsens, fluxlat, &
-          tsurf_new, dflux_s, dflux_l, pctsrf_sic)
-    END SELECT
+    ELSE IF (type_ocean == 'slab') THEN
+!!$       CALL ocean_slab_ice( & 
+!!$          itime, dtime, jour, knon, knindex, &
+!!$          debut, &
+!!$          tsurf, p1lay, tq_cdrag, precip_rain, precip_snow, temp_air, spechum,&
+!!$          petAcoef, peqAcoef, petBcoef, peqBcoef, &
+!!$          ps, u1_lay, v1_lay, pctsrf, &
+!!$          radsol, snow, qsurf, qsol, agesno, tsoil, &
+!!$          alb1_new, alb2_new, evap, fluxsens, fluxlat, &
+!!$          tsurf_new, dflux_s, dflux_l)
+
+    END IF
 
 !****************************************************************************************
Index: LMDZ4/trunk/libf/phylmd/surface_data.F90
===================================================================
--- LMDZ4/trunk/libf/phylmd/surface_data.F90	(revision 993)
+++ LMDZ4/trunk/libf/phylmd/surface_data.F90	(revision 996)
@@ -4,14 +4,18 @@
 MODULE surface_data
 
-  USE dimphy, ONLY : klon
-
   REAL, PARAMETER        :: calice=1.0/(5.1444e+06*0.15)
   REAL, PARAMETER        :: tau_gl=86400.*5.
   REAL, PARAMETER        :: calsno=1./(2.3867e+06*.15)
   
-  LOGICAL, SAVE          :: ok_veget       ! true for use of vegetation model ORCHIDEE
+  LOGICAL, SAVE          :: ok_veget      ! true for use of vegetation model ORCHIDEE
   !$OMP THREADPRIVATE(ok_veget)
-  CHARACTER(len=6), SAVE :: ocean          ! force/slab/couple
-  !$OMP THREADPRIVATE(ocean)
+
+  CHARACTER(len=6), SAVE :: type_ocean    ! force/slab/couple
+  !$OMP THREADPRIVATE(type_ocean)
+
+  ! if type_ocean=couple : version_ocean=opa8 ou nemo
+  ! if type_ocean=slab   : version_ocean=sicOBS
+  CHARACTER(len=6), SAVE :: version_ocean 
+  !$OMP THREADPRIVATE(version_ocean)
 
 END MODULE surface_data
Index: LMDZ4/trunk/libf/phylmd/write_histday.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/write_histday.h	(revision 993)
+++ LMDZ4/trunk/libf/phylmd/write_histday.h	(revision 996)
@@ -32,7 +32,7 @@
       CALL histwrite_phy(nid_day,"contfracATM",itau_w,zx_tmp_fi2d)
 c
-cym      CALL gr_fi_ecrit(1,klon,iim,jjmp1,pctsrf_new(:,is_ter),zx_tmp_2d)
+cym      CALL gr_fi_ecrit(1,klon,iim,jjmp1,pctsrf(:,is_ter),zx_tmp_2d)
       CALL histwrite_phy(nid_day,"contfracOR",itau_w,
-     &                   pctsrf_new(:,is_ter))
+     &                   pctsrf(:,is_ter))
 c
 
Index: LMDZ4/trunk/libf/phylmd/write_histday_seri.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/write_histday_seri.h	(revision 993)
+++ LMDZ4/trunk/libf/phylmd/write_histday_seri.h	(revision 996)
@@ -191,5 +191,5 @@
 c
 c     ok_msk=.TRUE.
-c     msk(1:klon)=pctsrf_new(1:klon,is_ter)
+c     msk(1:klon)=pctsrf(1:klon,is_ter)
 c     CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy, 
 c    .                     ok_msk, msk, moyglo)
Index: LMDZ4/trunk/libf/phylmd/write_histhf.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/write_histhf.h	(revision 993)
+++ LMDZ4/trunk/libf/phylmd/write_histhf.h	(revision 996)
@@ -24,7 +24,7 @@
       CALL histwrite_phy(nid_hf,"contfracATM",itau_w,zx_tmp_fi2d)
 c
-cym      CALL gr_fi_ecrit(1,klon,iim,jjmp1,pctsrf_new(:,is_ter),zx_tmp_2d)
+cym      CALL gr_fi_ecrit(1,klon,iim,jjmp1,pctsrf(:,is_ter),zx_tmp_2d)
       CALL histwrite_phy(nid_hf,"contfracOR",itau_w,
-     .                   pctsrf_new(:,is_ter))
+     .                   pctsrf(:,is_ter))
 c
 cym      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zt2m,zx_tmp_2d)
Index: LMDZ4/trunk/libf/phylmd/write_paramLMDZ_phy.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/write_paramLMDZ_phy.h	(revision 993)
+++ LMDZ4/trunk/libf/phylmd/write_paramLMDZ_phy.h	(revision 996)
@@ -7,20 +7,12 @@
 c Variables type caractere : plusieurs valeurs possibles
 c
-      IF(ocean.EQ.'force ') THEN
-       zx_tmp_2d(1:iim,1:jjmp1)=1.
-      ELSE IF(ocean.EQ.'slab  ') THEN
+      IF(type_ocean.EQ.'force ') THEN
+       zx_tmp_2d(1:iim,1:jjmp1)=1.
+      ELSE IF(type_ocean.EQ.'slab  ') THEN
        zx_tmp_2d(1:iim,1:jjmp1)=2.
-      ELSE IF(ocean.EQ.'couple') THEN
+      ELSE IF(type_ocean.EQ.'couple') THEN
        zx_tmp_2d(1:iim,1:jjmp1)=3.
       ENDIF
       CALL histwrite(nid_ctesGCM,"ocean",itau_w,
-     .               zx_tmp_2d,iim*jjmp1,ndex2d)
-c
-      IF(ok_slab_sicOBS) THEN
-       zx_tmp_2d(1:iim,1:jjmp1)=1.
-      ELSE
-       zx_tmp_2d(1:iim,1:jjmp1)=0.
-      ENDIF
-      CALL histwrite(nid_ctesGCM,"ok_slab_sicOBS",itau_w,
      .               zx_tmp_2d,iim*jjmp1,ndex2d)
 c
